Skip to main content
`Ctrl`+`K`

# MatFactorRestoreSchurComplement

Restore the Schur complement matrix object obtained from a call to `MatFactorGetSchurComplement()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorRestoreSchurComplement(Mat F, Mat *S, MatFactorSchurStatus status)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()`

- S - location where the Schur complement is stored

- status - the status of the Schur complement matrix (see `MatFactorSchurStatus`)

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MatFactorSetSchurIS()`, `MatFactorCreateSchurComplement()`, `MatFactorSchurStatus`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages